<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button *ngxPermissionsOnly="'monitores_create'"  class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion"><i class="fas fa-plus-circle"></i> Monitor</button>
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th>Identificación</th>
					<th>Nombre</th>
					<th>Celular</th>
					<th>Email</th>
					<th>Fecha de Ingreso</th>
					<th style=" width: 9%;">Acción</th>
				</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Identificación</th>
						<th>Nombre</th>
						<th>Celular</th>
						<th>Email</th>
						<th>Fecha de Ingreso</th>
						<th>Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let monitor of monitores">
						<td>{{ monitor.identification }}</td>
						<td>{{ monitor.name + ' '+monitor.lastname }}</td>
						<td>{{ monitor.cellphone }}</td>
						<td>{{ monitor.admission_date }}</td>
						<td>{{ monitor.email }}</td>
						<td style="text-align: center;">
							<a *ngxPermissionsOnly="'monitores_edit'" class="badge badge-pill badge-primary" style=" font-size: 12px;" href="javascript:void(0)" (click)="onEditar(monitor)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
							<a *ngxPermissionsOnly="'monitores_delete'" class="badge badge-pill badge-danger" href="javascript:void(0)" style=" margin-left: 8px;" (click)="onEliminar(monitor.id)"><i class="fas fa-trash-alt"></i></a> 
							<a *ngxPermissionsOnly="'monitores_detail_view'" class="badge badge-pill badge-info" href="javascript:void(0)" style=" margin-left: 8px;"  (click)="cargarDatos(monitor)" data-toggle="modal" data-target="#modalModelMonitor"><i class="fas fa-eye"></i></a>
						</td> 
					</tr> 
				</tbody>
			</table> 
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document" style=" width: 60% !important; max-width: 90%; ">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="monitorForm" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	      		<span class="badge badge-info" style="font-size: 14px;"><i class="fas fa-caret-right"></i> Información Personal</span> 
	      		<div class="row">
	      			<div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Identificación: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.identification.invalid && (submitted || f.identification.touched))"> El campo es requerido</label>
		        			<input type="text" class="form-control" formControlName="identification" [ngClass]="{ 'is-invalid': f.identification.errors && (f.identification.touched || submitted), 'is-valid': f.identification.touched && !f.identification.errors}">
			            </div>
			            <div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Nombres: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.name.invalid && (submitted || f.name.touched))"> El campo es requerido</label>
		        			<input type="text" class="form-control" formControlName="name" [ngClass]="{ 'is-invalid': f.name.errors && (f.name.touched || submitted), 'is-valid': f.name.touched && !f.name.errors}">
			            </div>
		        </div>
	          	<div class="row">  
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Apellidos: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.lastname.invalid && (submitted || f.lastname.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="lastname" [ngClass]="{ 'is-invalid': f.lastname.errors && (f.lastname.touched || submitted), 'is-valid': f.lastname.touched && !f.lastname.errors}">
		            </div>
		            <div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Correo: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.email.invalid && (submitted || f.email.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="email" [ngClass]="{ 'is-invalid': f.email.errors && (f.email.touched || submitted), 'is-valid': f.email.touched && !f.email.errors}">
		            </div>
	        	</div>
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Celular: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.cellphone.invalid && (submitted || f.cellphone.touched))"> El campo es requerido</label>
	        			<input type="number" class="form-control" formControlName="cellphone" [ngClass]="{ 'is-invalid': f.cellphone.errors && (f.cellphone.touched || submitted), 'is-valid': f.cellphone.touched && !f.cellphone.errors}">
		            </div>
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Fecha de Ingreso:</label>
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.admission_date.invalid && (submitted || f.admission_date.touched))"> El campo es requerido</label>
	        			<input type="date" class="form-control" name="admission_date" formControlName="admission_date" [ngClass]="{ 'is-invalid': f.admission_date.errors && (f.admission_date.touched || submitted), 'is-valid': f.admission_date.touched && !f.admission_date.errors}">
		            </div>
	        	</div>
	        	<span class="badge badge-info" style="font-size: 14px; margin-top: 20px;"><i class="fas fa-caret-right"></i> Información General</span> 
	        	<div class="row"> 
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">EPS: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.eps_id.invalid && (submitted || f.eps_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="eps" bindLabel="description" formControlName="eps_id" autofocus bindValue="id"> </ng-select>
		            </div>
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">ARL: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.afp_id.invalid && (submitted || f.afp_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="arl" bindLabel="description" formControlName="afp_id" autofocus bindValue="id"> </ng-select>
		            </div>
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">Fondo Pensión: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.fdp_id.invalid && (submitted || f.fdp_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="fp" bindLabel="description" formControlName="fdp_id" autofocus bindValue="id"> </ng-select>
		            </div>
	        	</div>
	        	<div class="row"> 
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">Caja Compensación: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.ccf_id.invalid && (submitted || f.ccf_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="cdf" bindLabel="description" formControlName="ccf_id" autofocus bindValue="id"> </ng-select>
		            </div>
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">Ciudad: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.city_id.invalid && (submitted || f.city_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="ciudades" bindLabel="description" formControlName="city_id" autofocus bindValue="id"> </ng-select>
		            </div>
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">Dirección: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.address.invalid && (submitted || f.address.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="address" [ngClass]="{ 'is-invalid': f.address.errors && (f.address.touched || submitted), 'is-valid': f.address.touched && !f.address.errors}"> 
		            </div>
	        	</div> 
	        	<!-- <div class="row"> 
		            <div class="col-md-4">
	        			<label for="recipient-name" class="col-form-label">Propiedades: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.properties.invalid && (submitted || f.properties.touched))"> El campo es requerido</label>
	        			<input type="text" class="form-control" formControlName="properties" [ngClass]="{ 'is-invalid': f.properties.errors && (f.properties.touched || submitted), 'is-valid': f.properties.touched && !f.properties.errors}"> 
		            </div>
	        	</div> -->
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>
<div class="modal fade " id="modalModelMonitor" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Detalle</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="modelMonitorForm" (ngSubmit)="onSaveModeloMonitor()">
	      <div class="modal-body"> 
	      	<div class="container-fluid">
	      		<div class="row">
	      			<div class="col-md-12" style="z-index: 1;"> 
	      				<a *ngxPermissionsOnly="'monitores_detail_create'" href="javascript:void(0)" class="badge badge-pill badge-primary" style=" float: right; font-size: 14px; " data-toggle="modal" (click)="onToggleForm()"><i class="fas fa-plus-circle"></i> Adicionar Modelo</a>
	      			</div>
	      		</div>
	      		<div style="margin-top: -25px; display: none;" id="divForm">
	      			<div class="row" >
	      				<div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Fecha Inicial:</label>
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(g.initial_date.invalid && (submitted || g.initial_date.touched))"> El campo es requerido</label>
		        			<input type="date" class="form-control" name="initial_date" formControlName="initial_date" [ngClass]="{ 'is-invalid': g.initial_date.errors && (g.initial_date.touched || submitted), 'is-valid': g.initial_date.touched && !g.initial_date.errors}">
			            </div>
			            <div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Modelo: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(g.model_id.invalid && (submitted || g.model_id.touched))"> El campo es requerido</label>
		        			<ng-select placeholder='-- Seleccionar --' [items]="modelos" bindLabel="nomcompleto" formControlName="model_id" autofocus bindValue="id"> </ng-select>
			            </div> 
		      		</div>
	      			<div class="row">  
		        		<div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Porcentaje: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(g.percentage.invalid && (submitted || g.percentage.touched))"> El campo es requerido</label>
		        			<input type="number" class="form-control" formControlName="percentage" [ngClass]="{ 'is-invalid': g.percentage.errors && (g.percentage.touched || submitted), 'is-valid': g.percentage.touched && !g.percentage.errors}">
			            </div>
			            <div class="col-md-6">
		        			<button type="submit" style="float: right;" style=" margin-top: 30px; float: right;" class="btn btn-success btn-sm" id="btnGuardarMM">{{ textbtn }}</button>
		        		</div>
		        	</div>
		        	<hr>
	      		</div>
	      		
	        	<div class="row" style="margin-top: 10px;">
	        		<div class="col-md-12"> 
	        			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
							<thead>
							<tr>
								<th>Fecha Inicial</th>
								<th>Modelo</th>
								<th>Porcentaje</th>
								<th style=" width: 85px;">Acción</th>
							</tr>
							</thead>
							<tfoot>
								<tr>
									<th>Fecha Inicial</th>
									<th>Modelo</th>
									<th>Porcentaje</th>
									<th>Acción</th>
								</tr>
							</tfoot>
							<tbody>
								<tr *ngFor="let modelo of modelMonitors">
									<td>{{ modelo.initial_date }}</td>
									<td>{{ modelo.model_id }}</td>
									<td>{{ modelo.percentage }}</td>
									<td style=" text-align: center;">
										<a *ngxPermissionsOnly="'monitores_detail_delete'" class="badge badge-pill badge-danger" href="javascript:void(0)" style=" margin-left: 15px;" (click)="onEliminarMM(modelo.id)"><i class="fas fa-trash-alt"></i></a>
									</td>
								</tr>
							</tbody>
						</table> 
	        		</div>
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrarMM" data-dismiss="modal">Cerrar</button>
	      </div>
      </form>
    </div>
  </div>
</div>                            




